Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006648OCaml~DO NOT USE (was: OCaml general)public2014-11-07 13:362016-12-07 11:36
Reporterlpw25 
Assigned Togarrigue 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version4.03.0+dev / +beta1 
Summary0006648: show_module should indicate its elision
DescriptionThe show_module directive does not fully print the types of nested modules. This is reasonable, but it also does not indicate that it has left out anything which is confusing. For example:

    # module M = struct module N = struct let x = 1 end end;;
    module M : sig module N : sig val x : int end end

    # #show_module M;;
    module M : sig module N : sig end end

Here the `x` value is simply left out of the type, with no indication that there was anything there.

It should probably print `...` or similar whenever something has been left out. So the above would be:

    # #show_module M;;
    module M : sig module N : sig ... end end
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0012505)
garrigue (manager)
2014-11-10 10:10

Fixed in trunk at revision 15573.
(Do not fix in 4.02 as we need to modify outcometree.)

- Issue History
Date Modified Username Field Change
2014-11-07 13:36 lpw25 New Issue
2014-11-10 10:10 garrigue Note Added: 0012505
2014-11-10 10:10 garrigue Status new => resolved
2014-11-10 10:10 garrigue Fixed in Version => 4.03.0+dev / +beta1
2014-11-10 10:10 garrigue Resolution open => fixed
2014-11-10 10:10 garrigue Assigned To => garrigue
2016-12-07 11:36 xleroy Status resolved => closed
2017-02-23 16:36 doligez Category OCaml general => -OCaml general
2017-03-03 17:55 doligez Category -OCaml general => -(deprecated) general
2017-03-03 18:01 doligez Category -(deprecated) general => ~deprecated (was: OCaml general)
2017-03-06 17:04 doligez Category ~deprecated (was: OCaml general) => ~DO NOT USE (was: OCaml general)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker